Subject: [Sipping] Offer/Answer Problem with G.729

From: "Andrea Pasini" <[email-masked]>
Date: Tue, 19 Feb 2008 15:50:39 +0100

Hello everyone,

I am trying to setup a basic call between two different UAs using G.729, and I have a question about the following scenario:

- UA1 sends an SDP offer with the annexb parameter set to "no":
  m=audio 2074 RTP/AVP 18
  a=rtpmap:18 G729/8000
  a=fmtp:18 annexb=no

- UA2 replies with an SDP answer without annexb:
  m=audio 5074 RTP/AVP 18
  a=rtpmap:18 G729/8000

I already know from RFC 3555 that if the annexb parameter is omitted "annexb=yes" is implied, but what is the right behavior of UA1 when it receives UA2's answer? MUST UA1 reject the call due to a codec mismatch or the call setup can proceed normally?

Thank you very much
Andrei P.F.
_______________________________________________
Sipping mailing list  http://www.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP